org.eclipse.microprofile.rest.client.tck.providers

## Class Widget

- java.lang.Object
- - org.eclipse.microprofile.rest.client.tck.providers.Widget

    public class Widget
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Widget(String name, int length)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`static Widget` `fromString(String s)`
`int` `getLength()`
`String` `getName()`
`int` `hashCode()`
`void` `setLength(int length)`
`void` `setName(String name)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Widget

    public Widget(String name,
                  int length)

### Method Detail

#### fromString

    public static Widget fromString(String s)

#### getName

    public String getName()

#### setName

    public void setName(String name)

#### getLength

    public int getLength()

#### setLength

    public void setLength(int length)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`